c	program main
c	call gset							!  enter graphic mode
c	call lines
c	call aset							!  return to alpha mode
c	end	
c	-----------------------------------------------------------------------
	subroutine lines
c
c	...demonstrate GRAFX line modes
c
c	(C) Copyright 1988, 1989 by Jim Farrell      All Rights Reserved.
c
	parameter(n=512)
	parameter(xmax=100,xmin=-xmax)
c
	external fcn						!  function to plot
c	
	call putstr(10,20,' DEMONSTRATION OF GRAFX LINE MODES')
	call putstr(12,20,'      USING f(x) = 2 * x * sin(x/3)')
	call pause('WHEN READY ')			!  display message and pause
	call gcls							!  clear graphic screen
	do 300 ip=0,4
		call gcls						!  clear graphic screen
		call fcnplt(xmin,xmax,fcn,n,0,ip)	!  plot a function
		if(ip.eq.0)call pause('0 - DISCRETE POINTS X,Y')
		if(ip.eq.1)call pause('1 - LINE FROM X,Y-MINIMUM TO X,Y')
		if(ip.eq.2)call pause('2 - LINE FROM X,0 TO X,Y')
		if(ip.eq.3)call pause('3 - RADIAL LINE FROM 0,0 TO X,Y')
		if(ip.eq.4)call pause('4 - CONNECTED LINE')
300	continue
	return
	end
c	------------------------------------------------------------------
	function fcn(x)
c
c	...function to generate curve
c
	fcn=2.0*x*sin(x/3.0)
	return
	end